import request from '@/utils/request'

// 查询边坡设备列表
export function listEquip(query) {
  return request({
    url: '/system/equip/list',
    method: 'get',
    params: query
  })
}

// 查询边坡设备详细
export function getEquip(id) {
  return request({
    url: '/system/equip/' + id,
    method: 'get'
  })
}

// 新增边坡设备
export function addEquip(data) {
  return request({
    url: '/system/equip',
    method: 'post',
    data: data
  })
}

// 修改边坡设备
export function updateEquip(data) {
  return request({
    url: '/system/equip',
    method: 'put',
    data: data
  })
}

// 删除边坡设备
export function delEquip(id) {
  return request({
    url: '/system/equip/' + id,
    method: 'delete'
  })
}
